Index: palm/trunk/SOURCE/data_output_profiles.f90
===================================================================
--- palm/trunk/SOURCE/data_output_profiles.f90	(revision 2)
+++ palm/trunk/SOURCE/data_output_profiles.f90	(revision 3)
@@ -8,61 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: data_output_profiles.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.18  2006/08/16 14:27:04  raasch
 ! PRINT* statements for testing removed
-!
-! Revision 1.17  2006/08/08 12:45:47  raasch
-! Immediate return in case of average_count_pr = 0.
-!
-! Revision 1.16  2006/02/23 10:26:53  raasch
-! Former routine plot_1d renamed data_output_profiles
-! pl.. renamed do.., .._anz renamed .._no
-! error number argument for handle_netcdf_error
-!
-! Revision 1.15  2005/05/18 15:44:44  raasch
-! Extensions for NetCDF output
-!
-! Revision 1.14  2001/03/30 07:44:12  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.13  2001/03/02 14:21:17  letzel
-! All comments translated into English.
-!
-! Revision 1.12  2001/01/22 07:36:55  raasch
-! Module test_variables removed
-!
-! Revision 1.11  1998/07/06 12:25:36  raasch
-! + USE test_variables
-!
-! Revision 1.10  1998/04/15 11:22:02  raasch
-! zeitlich gemittelte Profile werden jetzt auch mit zeitlich gemittelten
-! Groessen normiert
-!
-! Revision 1.9  1998/04/06 14:33:53  raasch
-! Implementierung weiterer Normierungsmethoden
-!
-! Revision 1.8  1998/03/30 11:37:30  raasch
-! Erweiterungen fuer Gebietsstatistiken korrigiert
-!
-! Revision 1.7  1998/03/25 13:55:45  raasch
-! Erweiterungen fuer Gebietsstatistiken
-!
-! Revision 1.6  1998/03/09 16:24:04  raasch
-! Ueberpruefung der Normierungsfaktoren auf 0.0 und evtl.
-! Abschaltung der Normalisierung
-!
-! Revision 1.5  1998/03/03 07:58:11  raasch
-! Aufruf von flow_statistics erfolgt jetzt gegebenenfalls hier
-! Ausgabe von zeitlich gemittelten Profilen, Abspeichern von Normierungsgroessen
-!
-! Revision 1.4  1998/02/19 07:10:04  raasch
-! x-Wertebereichsermittelung nur bezueglich des auszugebenden Hoehenbereiches,
-! x-Wertebereichsermittelung auch fuer Anfangsprofile
-!
-! Revision 1.3  1998/02/04 16:09:11  raasch
-! x-Wertebereiche fuer die einzelnen Koordinatenkreuze ermitteln
-!
-! Revision 1.2  1997/09/16 06:38:20  raasch
-! style- und color-Indexberechnung korrigiert
 !
 ! Revision 1.1  1997/09/12 06:28:48  raasch
Index: palm/trunk/SOURCE/data_output_ptseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_ptseries.f90	(revision 2)
+++ palm/trunk/SOURCE/data_output_ptseries.f90	(revision 3)
@@ -8,5 +8,7 @@
 ! Former revisions:
 ! -----------------
-! $Log: data_output_ptseries.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.2  2006/08/22 13:51:13  raasch
 ! Seperate output for particle groups
Index: palm/trunk/SOURCE/data_output_spectra.f90
===================================================================
--- palm/trunk/SOURCE/data_output_spectra.f90	(revision 2)
+++ palm/trunk/SOURCE/data_output_spectra.f90	(revision 3)
@@ -8,25 +8,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: data_output_spectra.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.7  2006/04/11 14:56:38  raasch
 ! pl_spectra renamed data_output_sp
 !
-! Revision 1.6  2006/02/23 10:29:38  raasch
-! Former routine plot_spectra renamed data_output_spectra
-! error number argument for handle_netcdf_error
-!
-! Revision 1.5  2005/05/18 15:48:29  raasch
-! Extensions for NetCDF output
-!
-! Revision 1.4  2003/03/16 09:42:42  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.3  2002/06/11 13:14:02  raasch
-! TRIM function added (needed on IBM-systems), additional translations into
-! English and further formatting
-!
-! Revision 1.2  2001/03/30  07:45:18  07:45:18  raasch (Siegfried Raasch)
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-! 
 ! Revision 1.1  2001/01/05 15:14:20  raasch
 ! Initial revision
Index: palm/trunk/SOURCE/data_output_tseries.f90
===================================================================
--- palm/trunk/SOURCE/data_output_tseries.f90	(revision 2)
+++ palm/trunk/SOURCE/data_output_tseries.f90	(revision 3)
@@ -8,45 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: data_output_tseries.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.13  2006/03/14 12:42:51  raasch
 ! Error removed: NetCDF output only if switched on
-!
-! Revision 1.12  2006/02/23 10:30:54  raasch
-! Former routine plot_ts renamed data_output_tseries
-! error number argument for handle_netcdf_error
-! plts_anz renamed dots_n
-!
-! Revision 1.11  2005/05/18 15:50:54  raasch
-! Extensions for NetCDF output
-!
-! Revision 1.10  2003/04/16 13:10:40  raasch
-! Output of Monin Obukhov length included
-!
-! Revision 1.9  2001/03/30 07:45:34  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.8  2001/01/22 20:36:59  letzel
-! All comments translated into English.
-!
-! Revision 1.7  2001/01/22 07:42:50  raasch
-! Module test_variables removed
-!
-! Revision 1.6  1999/02/05 09:14:35  raasch
-! Erweiterung fuer Ausgabe von Upstream-Anteilen, Erweiterung von ts_value
-! auf 30 Elemente
-!
-! Revision 1.5  1998/07/06 12:26:59  raasch
-! + USE test_variables
-!
-! Revision 1.4  1998/04/15 11:22:22  raasch
-! Erweiterung der Zeitreihenausgabe auf oberflaechennahe Temperaturen und
-! Waermestroeme
-!
-! Revision 1.3  1998/03/30 11:48:03  raasch
-! Divergenzen stehen jetzt in hom
-!
-! Revision 1.2  1998/03/25 13:56:01  raasch
-! Erweiterungen fuer Gebietsstatistiken,
-! dt in dt_3d umbenannt
 !
 ! Revision 1.1  1998/03/03 08:00:13  raasch
Index: palm/trunk/SOURCE/diffusion_e.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_e.f90	(revision 2)
+++ palm/trunk/SOURCE/diffusion_e.f90	(revision 3)
@@ -8,75 +8,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: diffusion_e.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.18  2006/08/04 14:29:43  raasch
 ! dissipation is stored in extra array diss if needed later on for calculating
 ! the sgs particle velocities
-!
-! Revision 1.17  2006/02/23 10:31:46  raasch
-! nzb_2d replaced by nzb_s_inner
-!
-! Revision 1.16  2004/01/30 10:18:18  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.15  2003/03/14 13:39:33  raasch
-! Loop optimization for diffusion_e, l and ll are now automatic arrays
-!
-! Revision 1.14  2003/03/12 16:25:03  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.13  2002/12/19 14:25:28  raasch
-! Correction of mixing length term (l(k)/ll(k)). The condition kh=3*km in
-! the unstable case is now also exactly met in the wall adjustment region.
-! Factor 0.7 in wall adjustment part replaced by variable
-! wall_adjustment_factor, which is set to ... in modules.f90.
-!
-! Revision 1.12  2002/06/11 12:51:59  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-! 1D-array l is allocated only once in the first call.
-!
-! Revision 1.11  2001/08/21 08:24:34  raasch
-! Wall adjustment of mixing length to 0.7 z can be switched off
-!
-! Revision 1.10  2001/03/30 07:06:30  raasch
-! Near surface mixing length is limited to 0.7*zu,
-! e**1.5 replaced by e*SQRT(e) (more than 10% total increase in performance
-! of this routine),
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.9  2001/01/22 06:05:28  raasch
-! Module test_variables removed
-!
-! Revision 1.8  2001/01/02 17:27:00  raasch
-! -dpt_dz_d, dpt_dz_u
-!
-! Revision 1.7  2000/07/03 12:56:34  raasch
-! array l changed from dummy argument to local allocatable array,
-! dummy arguments, whose corresponding actual arguments are pointers,
-! are now also defined as pointers
-! all comments translated into English
-!
-! Revision 1.6  2000/04/18 08:10:12  schroeter
-! Revision 1.4 wieder rueckgaengig gemacht, das Stabilitaets-
-! kriterium basiert nun wieder auf zentralen Differenzen
-!
-! Revision 1.5  2000/04/13 14:33:08  schroeter
-! je nach Initialisierungsmodus (trocken/feucht) fliesst in die
-! Berechnung des Mischungsweges pt oder vpt ein, wird durch
-! entsprechende Variablenuebergabe geregelt
-!
-! Revision 1.4  99/02/17  09:15:52  09:15:52  raasch (Siegfried Raasch)
-! Dissipation jetzt gemaess dem originalen Deardorff-Ansatz
-! Kriterium fuer reduzierten Mischungsweg im stabil geschichteten Fall enger
-! gefasst (Schichtung muss sowohl oberhalb als auch unterhalb des betrachteten
-! Gitterpunkts stabil sein)
-! 
-! Revision 1.3  1998/07/06 12:10:56  raasch
-! + USE test_variables
-!
-! Revision 1.2  1998/03/11 11:48:59  raasch
-! Anpassung des Mischungsweges an den Prandtlschen Mischungsweg moeglich
 !
 ! Revision 1.1  1997/09/19 07:40:24  raasch
Index: palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_s.f90	(revision 2)
+++ palm/trunk/SOURCE/diffusion_s.f90	(revision 3)
@@ -8,32 +8,11 @@
 ! Former revisions:
 ! -----------------
-! $Log: diffusion_s.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.8  2006/02/23 10:34:17  raasch
 ! nzb_2d replaced by nzb_s_outer in horizontal diffusion and by nzb_s_inner
 ! or nzb_diff_s_inner, respectively, in vertical diffusion, prescribed surface
 ! fluxes at vertically oriented topography
-!
-! Revision 1.7  2004/01/30 10:20:56  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.6  2003/03/12 16:25:32  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.5  2002/06/11 12:52:41  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-!
-! Revision 1.4  2001/03/30 07:11:44  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.3  2001/01/25 06:58:14  raasch
-! Variable "prandtl_layer replaced by "use_surface_fluxes"
-!
-! Revision 1.2  2000/07/03 12:57:13  raasch
-! dummy arguments, whose corresponding actual arguments are pointers,
-! are now also defined as pointers,
-! all comments translated into English
 !
 ! Revision 1.1  2000/04/13 14:54:02  schroeter
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 2)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 3)
@@ -8,5 +8,7 @@
 ! Former revisions:
 ! -----------------
-! $Log: diffusion_u.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.15  2006/02/23 10:35:35  raasch
 ! nzb_2d replaced by nzb_u_outer in horizontal diffusion and by nzb_u_inner
@@ -16,52 +18,4 @@
 ! because they cause errors at the edges of topography
 ! WARNING: loops containing the MAX function are still not properly vectorized!
-!
-! Revision 1.14  2005/03/26 20:08:21  raasch
-! Extension of horizontal loop upper bounds for non-cyclic boundary conditions,
-! additional damping layer at the outflow in case of non-cyclic lateral
-! boundaries, additional argument km_damp_y
-!
-! Revision 1.13  2004/01/30 10:21:32  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.12  2003/03/12 16:26:14  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.11  2002/06/11 12:53:12  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-!
-! Revision 1.10  2001/08/21 08:25:55  raasch
-! Special treatment at k=1 generally if momentum flux is prescribed (not only in
-! case of a Prandtl layer)
-!
-! Revision 1.9  2001/03/30 07:12:02  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.8  2001/01/22 06:14:00  raasch
-! Module test_variables removed
-!
-! Revision 1.7  2000/07/03 12:57:46  raasch
-! dummy arguments, whose corresponding actual arguments are pointers,
-! are now also defined as pointers,
-! all comments translated into English
-!
-! Revision 1.6  2000/03/14 13:55:33  schroeter
-! vertical impulse fluxes are computed over dz at the
-! top of the Prandtl-layer
-!
-! Revision 1.5  98/07/06  12:11:42  12:11:42  raasch (Siegfried Raasch)
-! + USE test_variables
-! 
-! Revision 1.4  1998/01/23 09:56:44  raasch
-! Einbau der Prandtl-Schicht
-!
-! Revision 1.3  1997/09/12 07:22:50  raasch
-! Leerzeilen mussten entfernt werden
-!
-! Revision 1.2  1997/09/12 06:43:27  raasch
-! HP-Compiler erfordert & am Beginn von Fortsetzungszeilen
 !
 ! Revision 1.1  1997/09/12 06:23:51  raasch
Index: palm/trunk/SOURCE/diffusion_v.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_v.f90	(revision 2)
+++ palm/trunk/SOURCE/diffusion_v.f90	(revision 3)
@@ -8,5 +8,7 @@
 ! Former revisions:
 ! -----------------
-! $Log: diffusion_v.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.15  2006/02/23 10:36:00  raasch
 ! nzb_2d replaced by nzb_v_outer in horizontal diffusion and by nzb_v_inner
@@ -16,52 +18,4 @@
 ! because they cause errors at the edges of topography
 ! WARNING: loops containing the MAX function are still not properly vectorized!
-!
-! Revision 1.14  2005/03/26 20:09:56  raasch
-! Extension of horizontal loop upper bounds for non-cyclic boundary conditions,
-! additional damping layer at the outflow in case of non-cyclic lateral
-! boundaries, additional argument km_damp_x
-!
-! Revision 1.13  2004/01/30 10:21:56  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.12  2003/03/12 16:26:31  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.11  2002/06/11 12:53:46  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-!
-! Revision 1.10  2001/08/21 08:29:31  raasch
-! Special treatment at k=1 generally if momentum flux is prescribed (not only in
-! case of a Prandtl layer)
-!
-! Revision 1.9  2001/03/30 07:12:19  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.8  2001/01/22 06:18:41  raasch
-! Module test_variables removed
-!
-! Revision 1.7  2000/07/03 12:58:14  raasch
-! dummy arguments, whose corresponding actual arguments are pointers,
-! are now also defined as pointers,
-! all comments translated into English
-!
-! Revision 1.6  2000/03/14 13:58:18  schroeter
-! vertical impulse fluxes are computed over dz at the
-! top of the Prandtl-layer
-!
-! Revision 1.5  98/07/06  12:12:05  12:12:05  raasch (Siegfried Raasch)
-! + USE test_variables
-! 
-! Revision 1.4  1998/01/23 09:57:18  raasch
-! Einbau der Prandtl-Schicht
-!
-! Revision 1.3  1997/09/12 07:24:20  raasch
-! Leerzeilen mussten entfernt werden
-!
-! Revision 1.2  1997/09/12 06:43:46  raasch
-! HP-Compiler erfordert & am Beginn von Fortsetzungszeilen
 !
 ! Revision 1.1  1997/09/12 06:24:01  raasch
Index: palm/trunk/SOURCE/diffusion_w.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_w.f90	(revision 2)
+++ palm/trunk/SOURCE/diffusion_w.f90	(revision 3)
@@ -8,45 +8,11 @@
 ! Former revisions:
 ! -----------------
-! $Log: diffusion_w.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.12  2006/02/23 10:38:03  raasch
 ! nzb_2d replaced by nzb_w_outer, wall functions added for all vertical walls,
 ! +z0 in argument list
 ! WARNING: loops containing the MAX function are still not properly vectorized!
-!
-! Revision 1.11  2005/03/26 20:11:05  raasch
-! Additional damping layer at the outflow in case of non-cyclic lateral
-! boundaries, additional arguments km_damp_x, km_damp_y
-!
-! Revision 1.10  2004/01/30 10:22:32  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.9  2003/03/12 16:26:49  raasch
-! Full code replaced in the call for all gridpoints instead of calling the
-! _ij version (required by NEC, because otherwise no vectorization)
-!
-! Revision 1.8  2002/06/11 12:54:16  raasch
-! Former subroutine changed to a module which allows to be called for all grid
-! points of a single vertical column with index i,j or for all grid points by
-! using function overloading.
-!
-! Revision 1.7  2001/03/30 07:12:35  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.6  2001/01/22 06:20:12  raasch
-! Module test_variables removed
-!
-! Revision 1.5  2000/07/03 12:58:40  raasch
-! dummy arguments, whose corresponding actual arguments are pointers,
-! are now also defined as pointers,
-! all comments translated into English
-!
-! Revision 1.4  1998/07/06 12:12:24  raasch
-! + USE test_variables
-!
-! Revision 1.3  1997/09/12 07:24:58  raasch
-! Leerzeilen mussten entfernt werden
-!
-! Revision 1.2  1997/09/12 06:44:00  raasch
-! HP-Compiler erfordert & am Beginn von Fortsetzungszeilen
 !
 ! Revision 1.1  1997/09/12 06:24:11  raasch
Index: palm/trunk/SOURCE/diffusivities.f90
===================================================================
--- palm/trunk/SOURCE/diffusivities.f90	(revision 2)
+++ palm/trunk/SOURCE/diffusivities.f90	(revision 3)
@@ -8,81 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: diffusivities.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.24  2006/04/26 12:16:26  raasch
 ! OpenMP optimization (+sums_l_l_t), sqrt_e must be private
-!
-! Revision 1.23  2006/02/23 12:13:29  raasch
-! nzb_2d replaced by nzb_s_inner/outer, option of a minimum tke
-! quasi boundary conditions is now set for sums_l_l instead of sums_l
-!
-! Revision 1.22  2005/03/26 20:16:26  raasch
-! Eddy diffusivities are also calculated for the ghost points in order to spare
-! the communication otherwise needed for the exchange of these points.
-! Neumann boundary conditions set at the outflow boundaries in case of
-! non-cyclic lateral boundaries
-!
-! Revision 1.21  2004/01/30 10:23:12  raasch
-! Scalar lower k index nzb replaced by 2d-array nzb_2d
-!
-! Revision 1.20  2003/03/14 13:40:09  raasch
-! Loop optimization (SQRT(e) solved in a seperate loop, joining of loops)
-!
-! Revision 1.19  2003/03/12 16:28:56  raasch
-! phi_m is initialized in declaration statement in order to avoid run time
-! errors due to compiler problems on ibm and nec
-!
-! Revision 1.18  2002/12/19 14:32:23  raasch
-! Correction of mixing length term (l(k)/ll(k)). The condition kh=3*km in
-! the unstable case is now also exactly met in the wall adjustment region.
-! Factor 0.7 in wall adjustment part replaced by variable
-! wall_adjustment_factor, which is set to 1.8 in modules.f90.
-! Missing OMP DO statement added.
-!
-! Revision 1.17  2002/06/11 12:56:49  raasch
-! OpenMP directives added,
-! array l changed from allocatable to automatic, because it must be on the stack
-! in case of using OpenMP
-!
-! Revision 1.16  2001/08/21  08:30:34  08:30:34  raasch (Siegfried Raasch)
-! Wall adjustment of mixing length to 0.7 z can be switched off
-! Lower boundary condition for km and kh changed to Neumann
-! 
-! Revision 1.15  2001/03/30 07:22:09  raasch
-! Near surface mixing length is limited to 0.7*zu,
-! if adjust_mixing_length=T, l is modified at all gridpoints (previously at
-! k=1 only),
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.14  2001/01/22 06:31:36  raasch
-! Module test_variables removed
-!
-! Revision 1.13  2001/01/02 17:27:41  raasch
-! -dpt_dz_d, dpt_dz_u
-!
-! Revision 1.12  2000/12/20 10:35:47  letzel
-! All comments translated into English.
-!
-! Revision 1.11  2000/04/18 08:10:42  schroeter
-! Revision 1.4 wieder rueckgaengig gemacht, das Stabilitaets-
-! kriterium basiert nun wieder auf zentralen Differenzen
-!
-! Revision 1.9  2000/04/13 13:42:14  schroeter
-! je nach Initialisierungsmodus (trocken/feucht) fliesst in
-! Mischungswegberechnung pt oder vpt ein, wird durch entsprechende
-! Variablenuebergabe geregelt
-!
-! Revision 1.8  99/02/17  09:17:39  09:17:39  raasch (Siegfried Raasch)
-! Kriterium fuer reduzierten Mischungsweg im stabil geschichteten Fall enger
-! gefasst (Schichtung muss sowohl oberhalb als auch unterhalb des betrachteten
-! Gitterpunkts stabil sein)
-! 
-! Revision 1.7  1998/09/22 17:18:41  raasch
-! Testweise cm = 0.4 bei k=1, aber vorerst auskommentiert
-!
-! Revision 1.6  1998/08/05 06:52:44  raasch
-! Mischungsweganpassung an Prandtl nur bei k=1
-!
-! Revision 1.2  1998/03/11 11:49:26  raasch
-! Anpassung des Mischungsweges an den Prandtlschen Mischungsweg moeglich
 !
 ! Revision 1.1  1997/09/19 07:41:10  raasch
Index: palm/trunk/SOURCE/disturb_field.f90
===================================================================
--- palm/trunk/SOURCE/disturb_field.f90	(revision 2)
+++ palm/trunk/SOURCE/disturb_field.f90	(revision 3)
@@ -8,37 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: disturb_field.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.11  2006/08/04 14:31:59  raasch
 ! izuf renamed iran
-!
-! Revision 1.10  2006/02/23 12:14:06  raasch
-! Additional argument nzb_uv_inner (no perturbations below the topography)
-!
-! Revision 1.9  2005/03/26 20:18:30  raasch
-! Arguments for non-cyclic boundary conditions added to argument list and to
-! argument list of routine exchange_horiz.
-! Perturbations can be imposed for different ranges (steered by dist_range).
-!
-! Revision 1.8  2003/10/29 08:48:51  raasch
-! Module random_function_mod is used
-!
-! Revision 1.7  2003/03/14 13:41:48  raasch
-! Different random number generators available
-!
-! Revision 1.6  2001/03/30 07:22:26  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.5  2001/01/25 06:59:38  raasch
-! Module interfaces added (missing this interface caused errors on machines
-! other than Cray)
-!
-! Revision 1.4  2001/01/22 06:32:49  raasch
-! Module test_variables removed
-!
-! Revision 1.3  2000/07/03 12:59:03  raasch
-! All comments translated into English
-!
-! Revision 1.2  1998/07/06 12:13:01  raasch
-! + USE test_variables
 !
 ! Revision 1.1  1998/02/04 15:40:45  raasch
Index: palm/trunk/SOURCE/disturb_heatflux.f90
===================================================================
--- palm/trunk/SOURCE/disturb_heatflux.f90	(revision 2)
+++ palm/trunk/SOURCE/disturb_heatflux.f90	(revision 3)
@@ -8,23 +8,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: disturb_heatflux.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.7  2006/08/04 14:35:07  raasch
 ! Additional parameter in function random_gauss which limits the range of the
 ! created random numbers, izuf renamed iran
-!
-! Revision 1.6  2006/02/23 12:14:38  raasch
-! Over topography surface_heatflux is replaced by wall_heatflux(0)
-!
-! Revision 1.5  2001/03/30 07:22:44  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.4  2001/01/22 06:34:34  raasch
-! Module test_variables removed
-!
-! Revision 1.3  2000/12/20 11:57:38  letzel
-! All comments translated into English.
-!
-! Revision 1.2  1998/07/06 12:13:19  raasch
-! + USE test_variables
 !
 ! Revision 1.1  1998/03/25 20:03:47  raasch
Index: palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz.f90	(revision 2)
+++ palm/trunk/SOURCE/exchange_horiz.f90	(revision 3)
@@ -8,52 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: exchange_horiz.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.16  2006/02/23 12:19:08  raasch
 ! anz_yz renamed ngp_yz
-!
-! Revision 1.15  2005/03/26 20:20:39  raasch
-! Extensions for non-cyclic boundary conditions along x or y
-!
-! Revision 1.14  2003/10/29 08:51:10  raasch
-! Exchange of boundaries within the PE memory in case that multigrid method
-! has switched to PE0 only
-!
-! Revision 1.13  2003/03/16 09:30:38  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.12  2002/12/20 10:40:08  raasch
-! Integer variables will be defined in the parallel case only
-!
-! Revision 1.11  2002/12/19 14:46:43  raasch
-! Cyclic boundary conditions along y used instead of sendrecv in case of
-! pdims(2)=1. SENDRECV replaced by nonblocking routines ISEND and IRECV.
-! Array "feld" is renamed to "ar".
-!
-! Revision 1.9  2002/04/16  08:16:50  08:16:50  raasch (Siegfried Raasch)
-! Cyclic boundary conditions along x used instead of sendrecv in case of
-! pdims(1)=1
-! 
-! Revision 1.8  2001/07/20 13:04:59  raasch
-! anz_yz and type_xz changed to arrays to allow for the boundary value exchange
-! for the different grid levels used in the multigrid method,
-! +module control_parameters
-!
-! Revision 1.7  2001/03/30 07:23:00  raasch
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-!
-! Revision 1.6  2001/01/22 06:36:07  raasch
-! Module test_variables removed
-!
-! Revision 1.5  2000/12/20 12:06:44  letzel
-! All comments translated into English.
-!
-! Revision 1.4  1998/07/06 12:13:36  raasch
-! + USE test_variables
-!
-! Revision 1.3  1998/01/23 09:57:45  raasch
-! Umbenennung von anz_yz_p in anz_yz sowie von type_xz_p in type_xz
-!
-! Revision 1.2  1997/08/11 06:14:55  raasch
-! Felder werden jetzt ueber Formalparameter uebergeben.
 !
 ! Revision 1.1  1997/07/24 11:13:29  raasch
Index: palm/trunk/SOURCE/exchange_horiz_2d.f90
===================================================================
--- palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 2)
+++ palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 3)
@@ -8,31 +8,9 @@
 ! Former revisions:
 ! -----------------
-! $Log: exchange_horiz_2d.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.9  2006/05/12 19:15:52  letzel
 ! MPI_REAL replaced by MPI_INTEGER in exchange_horiz_2d_int
-!
-! Revision 1.8  2006/02/23 12:18:32  raasch
-! Additional subroutine exchange_horiz_2d_int for 2D integer arrays,
-! extensions for non-cyclic boundary conditions along x or y for non-parallel
-! case, anz_y renamed ngp_y
-!
-! Revision 1.7  2003/03/16 09:30:43  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.6  2002/06/11 12:59:35  raasch
-! Cyclic boundary conditions are used instead of sendrecv in case of
-! pdims(..)=1. Array "feld" is renamed to "ar".
-!
-! Revision 1.5  2001/03/30  07:23:16  07:23:16  raasch (Siegfried Raasch)
-! Translation of remaining German identifiers (variables, subroutines, etc.)
-! 
-! Revision 1.4  2001/01/22 06:43:50  raasch
-! Module test_variables removed
-!
-! Revision 1.3  2000/12/20 12:09:27  letzel
-! All comments translated into English.
-!
-! Revision 1.2  1998/07/06 12:13:53  raasch
-! + USE test_variables
 !
 ! Revision 1.1  1998/01/23 09:58:21  raasch
Index: palm/trunk/SOURCE/fft_xy.f90
===================================================================
--- palm/trunk/SOURCE/fft_xy.f90	(revision 2)
+++ palm/trunk/SOURCE/fft_xy.f90	(revision 3)
@@ -8,11 +8,10 @@
 ! Former revisions:
 ! -----------------
-! $Log: fft_xy.f90,v $
+! $Id$
+! RCS Log replace by Id keyword, revision history cleaned up
+!
 ! Revision 1.4  2006/03/28 12:27:09  raasch
 ! Stop when system-specific fft is selected on NEC. For unknown reasons this
 ! causes a program abort during first allocation in init_grid.
-!
-! Revision 1.3  2006/02/23 12:22:41  raasch
-! System specfic routines are not allowed to be used on ibmy
 !
 ! Revision 1.2  2004/04/30 11:44:27  raasch
@@ -25,23 +24,4 @@
 ! decalpha),
 ! non vectorized FFT for nec included
-!
-! Revision 1.1  2004/04/30 11:37:14  raasch
-! Initial revision
-!
-! Revision 1.6  2003/08/01 08:15:09  raasch
-! No abort in fft_1dd_init on t3e-systems if system specific routines are used
-!
-! Revision 1.5  2003/04/16 12:51:47  raasch
-! Temperton-fft implemented in routines fft_x_1dd and fft_y_1dd
-!
-! Revision 1.4  2003/03/16 09:37:26  raasch
-! Two underscores (_) are placed in front of all define-strings
-!
-! Revision 1.3  2003/03/12 16:29:39  raasch
-! Routines fft_x_1dd_m and fft_y_1dd_m added (suitable for multiple 1d-fft on
-! vector processors)
-!
-! Revision 1.2  2002/12/19 14:49:18  raasch
-! STOP statement replaced by call of subroutine local_stop
 !
 ! Revision 1.1  2002/06/11 13:00:49  raasch
